Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.feed.synd.impl
Class ConverterForAtom03

    java.lang.Object
      com.sun.syndication.feed.synd.impl.ConverterForAtom03

All Implemented Interfaces:
  Converter

    public class ConverterForAtom03

extends Object
implements Converter

Constructor Summary
`` | `ConverterForAtom03()`
`protected` | `ConverterForAtom03(String type)`

Method Summary
`void` | `copyInto(WireFeed feed, SyndFeed syndFeed)` Makes a deep copy/conversion of the values of a real feed into a SyndFeedImpl.
`Link` | `createAtomEnclosure(SyndEnclosure syndEnclosure)`
`protected List` | `createAtomEntries(List syndEntries)`
`protected Entry` | `createAtomEntry(SyndEntry sEntry)`
`Link` | `createAtomLink(SyndLink syndLink)`
`protected static List` | `createAtomPersons(List sPersons)`
`WireFeed` | `createRealFeed(SyndFeed syndFeed)` Creates real feed with a deep copy/conversion of the values of a SyndFeedImpl.
`SyndEnclosure` | `createSyndEnclosure(Entry entry, Link link)`
`protected List` | `createSyndEntries(List atomEntries, boolean preserveWireItems)`
`protected SyndEntry` | `createSyndEntry(Entry entry, boolean preserveWireItem)`
`SyndLink` | `createSyndLink(Link link)`
`protected List` | `createSyndLinks(List aLinks)`
`protected static List` | `createSyndPersons(List aPersons)`
`String` | `getType()` Returns the type (version) of the real feed this converter handles.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConverterForAtom03

    public ConverterForAtom03()

### ConverterForAtom03

    protected ConverterForAtom03(String type)

Method Detail

### getType

    public String getType()

  Description copied from interface: `Converter`
  Returns the type (version) of the real feed this converter handles.

  Specified by:
    `getType` in interface `Converter`
  Returns:
    the real feed type.
  See Also:
    `for details on the format of this string.

    `

### copyInto

    public void copyInto(WireFeed feed,
                         SyndFeed syndFeed)

  Description copied from interface: `Converter`
  Makes a deep copy/conversion of the values of a real feed into a SyndFeedImpl.

  It assumes the given SyndFeedImpl has no properties set.

  Specified by:
    `copyInto` in interface `Converter`
  Parameters:
    `feed` - real feed to copy/convert.
    `syndFeed` - the SyndFeedImpl that will contain the copied/converted values of the real feed.

### createSyndLinks

    protected List createSyndLinks(List aLinks)

### createSyndLink

    public SyndLink createSyndLink(Link link)

### createSyndEntries

    protected List createSyndEntries(List atomEntries,
                                     boolean preserveWireItems)

### createSyndEntry

    protected SyndEntry createSyndEntry(Entry entry,
                                        boolean preserveWireItem)

### createSyndEnclosure

    public SyndEnclosure createSyndEnclosure(Entry entry,
                                             Link link)

### createRealFeed

    public WireFeed createRealFeed(SyndFeed syndFeed)

  Description copied from interface: `Converter`
  Creates real feed with a deep copy/conversion of the values of a SyndFeedImpl.

  Specified by:
    `createRealFeed` in interface `Converter`
  Parameters:
    `syndFeed` - SyndFeedImpl to copy/convert value from.
  Returns:
    a real feed with copied/converted values of the SyndFeedImpl.

### createAtomPersons

    protected static List createAtomPersons(List sPersons)

### createSyndPersons

    protected static List createSyndPersons(List aPersons)

### createAtomEntries

    protected List createAtomEntries(List syndEntries)

### createAtomEntry

    protected Entry createAtomEntry(SyndEntry sEntry)

### createAtomLink

    public Link createAtomLink(SyndLink syndLink)

### createAtomEnclosure

    public Link createAtomEnclosure(SyndEnclosure syndEnclosure)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.